com.amazonaws.codegen.model.service

## Class Member

- java.lang.Object
- - com.amazonaws.codegen.model.service.Member

    public class Member
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Member()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`String` `getLocation()`
`String` `getLocationName()`
`String` `getQueryName()`
`String` `getShape()`
`XmlNamespace` `getXmlNamespace()`
`boolean` `isDeprecated()`
`boolean` `isFlattened()`
`boolean` `isIdempotencyToken()`
`boolean` `isPayload()`
`boolean` `isStreaming()`
`void` `setDeprecated(boolean deprecated)`
`void` `setDocumentation(String documentation)`
`void` `setFlattened(boolean flattened)`
`void` `setIdempotencyToken(boolean idempotencyToken)`
`void` `setLocation(String location)`
`void` `setLocationName(String locationName)`
`void` `setPayload(boolean payload)`
`void` `setQueryName(String queryName)`
`void` `setShape(String shape)`
`void` `setStreaming(boolean streaming)`
`void` `setXmlNamespace(XmlNamespace xmlNamespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Member

    public Member()

### Method Detail

#### getShape

    public String getShape()

#### setShape

    public void setShape(String shape)

#### getLocation

    public String getLocation()

#### setLocation

    public void setLocation(String location)

#### getLocationName

    public String getLocationName()

#### setLocationName

    public void setLocationName(String locationName)

#### isPayload

    public boolean isPayload()

#### setPayload

    public void setPayload(boolean payload)

#### isStreaming

    public boolean isStreaming()

#### setStreaming

    public void setStreaming(boolean streaming)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### getQueryName

    public String getQueryName()

#### setQueryName

    public void setQueryName(String queryName)

#### isFlattened

    public boolean isFlattened()

#### setFlattened

    public void setFlattened(boolean flattened)

#### getXmlNamespace

    public XmlNamespace getXmlNamespace()

#### setXmlNamespace

    public void setXmlNamespace(XmlNamespace xmlNamespace)

#### isIdempotencyToken

    public boolean isIdempotencyToken()

#### setIdempotencyToken

    public void setIdempotencyToken(boolean idempotencyToken)

#### isDeprecated

    public boolean isDeprecated()

#### setDeprecated

    public void setDeprecated(boolean deprecated)